@SET WINSDK_PATH=C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A
@SET MSVC_PATH=C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC

@SET COMMON_RESOURCE_COMPILER_INPUT=/I "%WINSDK_PATH%\Include" /I "%MSVC_PATH%\include" /I "%MSVC_PATH%\atlmfc\include"

@SET COMMON_COMPILER_INPUT=/I "%WINSDK_PATH%\Include" /I "%MSVC_PATH%\include" /MT /O2 /Ob2 /Oi /Ot /Gy /GL /GS /GF /D "NDEBUG" /D "_WINDOWS" /D "_WINDLL" /D "_UNICODE" /D "UNICODE" /FD /EHsc /W4 /nologo /c /Zi /TC /errorReport:none "Nachtblitz-1.4.27-src\Native\CsRandom.c" "Nachtblitz-1.4.27-src\Native\FileIo.c" "Nachtblitz-1.4.27-src\Native\Library.c" "Nachtblitz-1.4.27-src\Native\MD4.c" "Nachtblitz-1.4.27-src\Native\Memory.c" "Nachtblitz-1.4.27-src\Native\SHA256.c" "Nachtblitz-1.4.27-src\Native\Socket.c" "Nachtblitz-1.4.27-src\Native\Tiger.c" "Nachtblitz-1.4.27-src\Native\Timer.c"

@SET COMMON_LINKER_INPUT=/INCREMENTAL:NO /DEBUG /NOLOGO /DLL /SUBSYSTEM:WINDOWS /OPT:REF /OPT:ICF /LTCG /DYNAMICBASE /NXCOMPAT /LARGEADDRESSAWARE /ERRORREPORT:NONE "Kernel32.lib" "User32.lib" "AdvAPI32.lib" "Psapi.lib" "IPHlpApi.lib" "Ws2_32.lib" "CsRandom.obj" "FileIo.obj" "Library.obj" "MD4.obj" "Memory.obj" "SHA256.obj" "Socket.obj" "Tiger.obj" "Timer.obj"

REM BUILDING FOR x86

"%WINSDK_PATH%\bin\RC.EXE" %COMMON_RESOURCE_COMPILER_INPUT% /Fo "Nativex86.res" "Nachtblitz-1.4.27-src\Native\Native.rc"
"%MSVC_PATH%\bin\CL.EXE" /D "WIN32" /Gr /Oy %COMMON_COMPILER_INPUT%
"%MSVC_PATH%\bin\LINK.EXE" /OUT:"Nativex86.dll" /MACHINE:X86 /LIBPATH:"%WINSDK_PATH%\Lib" /LIBPATH:"%MSVC_PATH%\lib" /DEF:"Nachtblitz-1.4.27-src\Native\Nativex86.def" %COMMON_LINKER_INPUT% "Nativex86.res" /PDB:"Nativex86.pdb" /MAP:"Nativex86.map"

REM BUILDING FOR x86-64

"%WINSDK_PATH%\bin\RC.EXE" /D TARGETING_X8664 %COMMON_RESOURCE_COMPILER_INPUT% /Fo "Nativex86-64.res" "Nachtblitz-1.4.27-src\Native\Native.rc"
"%MSVC_PATH%\bin\x86_amd64\CL.EXE" %COMMON_COMPILER_INPUT%
"%MSVC_PATH%\bin\x86_amd64\LINK.EXE" /OUT:"Nativex86-64.dll" /MACHINE:X64 /LIBPATH:"%WINSDK_PATH%\Lib\x64" /LIBPATH:"%MSVC_PATH%\lib\amd64" /DEF:"Nachtblitz-1.4.27-src\Native\Nativex86-64.def" %COMMON_LINKER_INPUT% "Nativex86-64.res" /PDB:"Nativex86-64.pdb" /MAP:"Nativex86-64.map"
